Package: org.gradle.plugins.ear.descriptor

## [Java] Interface EarSecurityRole

- A security-role element in a deployment descriptor like application.xml.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDescription()` A description of the security role.
    `String` | `getRoleName()` The name of the security role.
    `void` | `setDescription(String description)`
    `void` | `setRoleName(String roleName)`

- - ### Method Detail

    - #### public String getDescription()

      A description of the security role. Optional.

    - #### public String getRoleName()

      The name of the security role. Required.

    - #### public void setDescription(String description)

    - #### public void setRoleName(String roleName)